Package: org.codehaus.groovy.runtime.memoize

## [Java] Class UnlimitedConcurrentCache

- org.codehaus.groovy.runtime.memoize.UnlimitedConcurrentCache

- All Implemented Interfaces and Traits:
    MemoizeCache

      public final class UnlimitedConcurrentCache
      extends Object

  A cache backed by a ConcurrentHashMap

  Authors:
    Vaclav Pech

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `cleanUpNullReferences()` Replying on the ConcurrentHashMap thread-safe iteration implementation the method will remove all entries holding SoftReferences to gc-evicted objects.
    `Object` | `get(Object key)`
    `Object` | `put(Object key, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void cleanUpNullReferences()

      Replying on the ConcurrentHashMap thread-safe iteration implementation the method will remove all entries holding SoftReferences to gc-evicted objects.

    - #### public Object get(Object key)

    - #### public Object put(Object key, Object value)